#pragma once

#include <maps/wikimap/mapspro/libs/social/include/yandex/maps/wiki/social/feedback/task.h>
#include <maps/wikimap/mapspro/libs/social/include/yandex/maps/wiki/social/feedback/task_new.h>

namespace maps::wiki::social::feedback {

Workflow workflow(const TaskBrief& task);
Workflow workflow(const TaskNew& task);

std::string whereClause(const Workflows& workflows);
std::string whereClause(Workflow workflow);

std::string workflowFieldClause();

} // namespace maps::wiki::social::feedback
